"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const backtrace_service_1 = require("backtrace-service");
const queries_1 = __importDefault(require("./controller/queries"));
const util_1 = require("./lib/util");
const db_1 = __importStar(require("./lib/db"));
const name = 'overview';
const port = 6457;
const service = util_1.isStandalone
    ? util_1.getStandaloneService({ name, port })
    : backtrace_service_1.BacktraceService.bootstrap(name, port);
global.service = service;
const log = backtrace_service_1.Logger.getLogger();
const urlPrefix = ((_a = service.configuration.descriptor) === null || _a === void 0 ? void 0 : _a.resource) || `/api/${name}`;
queries_1.default(db_1.default, service, urlPrefix);
service.app.get(`${urlPrefix}/version`, service.identityManager.authenticateRequest(), util_1.bypassAccessCheck(service, true), (_req, res) => {
    res.json({ version: process.env.npm_package_version });
});
(async () => {
    try {
        await db_1.default.migrate.latest();
    }
    catch (e) {
        const filename = db_1.knexfile.connection.filename;
        log.error(e);
        log.error(`Unable to write to database file. Please make sure this process has write permission to this file and start the service again: ${filename}`);
        process.exit(1);
    }
    service.start(true);
})();
//# sourceMappingURL=main.js.map